# Packmangroup: Graphics
# Packmanpackagename: synfigstudio
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Synfig studio is a animation program.</a>
# Packmanpackagedesc_de: <p>Synfig Studio ist ein Animationsprogramm.</a>

# norootforbuild

%define major     0
%define lib       libsynfigapp
%define libname   %{lib}%{major}

Name:           synfigstudio
Summary:        Synfig studio - animation program
Summary(de):    Synfig Studio - Animationsprogramm
Version:        0.63.05
Release:        1.1
Group:          Productivity/Graphics/Vector Editors
License:        GPL v2 or later
URL:            http://synfig.org
Source0:        %{name}-%{version}.tar.bz2
Source1:        synfigstudio-images-%{version}.tar.bz2
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  ETL-devel
BuildRequires:  atk-devel
BuildRequires:  expat
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  libpng-devel
BuildRequires:  libsigc++2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml++-devel >= 2.6
BuildRequires:  libxml2-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  pango-devel
BuildRequires:  libsynfig-devel = %{version}
BuildRequires:  synfig = %{version}
BuildRequires:  xorg-x11-devel
BuildRequires:  zlib-devel
BuildRequires:  update-desktop-files
BuildRequires:  gcc-c++
BuildRequires:  cairo-devel
Requires:       cairo
BuildRequires:  glibmm2-devel
BuildRequires:  glibmm2
BuildRequires:  gtkmm2
BuildRequires:  gtkmm2-devel
Requires:       synfig = %{version}
Requires:       %{libname} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Synfig studio is a animation program.
Application

%description -l de
Synfig Studio ist ein Animationsprogramm.
Hauptprogramm

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of synfigstudio
Summary(de):    synfigstudio Bibliotheken
Provides:       %{lib} = %{version}-%{release}
Provides:       libsynfigstudio = %{version}-%{release}
Obsoletes:      libsynfigstudio < %{version}-%{release}

%description -n %{libname}
Synfig studio is a animation program.
Shared libraries

%description -n %{libname} -l de
Synfig Studio ist ein Animationsprogramm.
Bibliotheken

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the synfigstudio library
Requires:       %{libname} = %{version}-%{release}
Provides:       synfigstudio-devel = %{version}-%{release}
Obsoletes:      synfigstudio-devel < %{version}-%{release}
Provides:       %{libname}-devel = %{version}-%{release}
Obsoletes:      %{libname}-devel < %{version}-%{release}
Provides:       libsynfigstudio = %{version}-%{release}
Obsoletes:      libsynfigstudio < %{version}-%{release}
Requires:       ETL-devel
Requires:       atk-devel
Requires:       expat
Requires:       fontconfig-devel
Requires:       freetype2-devel
Requires:       glib2-devel
Requires:       glibc-devel
Requires:       gtk2-devel
Requires:       libpng-devel
Requires:       libsigc++2-devel
Requires:       libstdc++-devel
Requires:       libxml++-devel >= 2.6
Requires:       libxml2-devel
Requires:       OpenEXR-devel
Requires:       pango-devel
Requires:       libsynfig-devel = %{version}
Requires:       xorg-x11-devel
Requires:       zlib-devel
Requires:       gcc-c++

%description -n %{lib}-devel
Synfig studio is a animation program.
Install %{lib}-devel if you want to compile apps with %{name} support.

%description -n %{lib}-devel -l de
Synfig Studio ist ein Animationsprogramm.
Installieren Sie %{lib}-devel wenn Sie Anwendungen mit %{name} Support
compilieren wollen.



%prep
%setup -n synfigstudio-%{version}
%{__tar} xvf %{SOURCE1}

%build
if [ ! -f configure ]; then
   autoreconf --install --force
fi
export CPPFLAGS="-fno-inline"
%configure
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
sed -i -e "s/MimeType=image\/sif/MimeType=image\/sif;/g" %{buildroot}%{_datadir}/applications/synfigstudio.desktop
%suse_update_desktop_file -r synfigstudio Graphics VectorGraphics
%{__rm} -f %{buildroot}%{_datadir}/mime/aliases
%{__rm} -f %{buildroot}%{_datadir}/mime/generic-icons
%{__rm} -f %{buildroot}%{_datadir}/mime/globs
%{__rm} -f %{buildroot}%{_datadir}/mime/globs2
%{__rm} -f %{buildroot}%{_datadir}/mime/icons
%{__rm} -f %{buildroot}%{_datadir}/mime/magic
%{__rm} -f %{buildroot}%{_datadir}/mime/mime.cache
%{__rm} -f %{buildroot}%{_datadir}/mime/subclasses
%{__rm} -f %{buildroot}%{_datadir}/mime/treemagic
%{__rm} -f %{buildroot}%{_datadir}/mime/types
%{__rm} -f %{buildroot}%{_datadir}/mime/version
%{__rm} -f %{buildroot}%{_datadir}/mime/XMLnamespaces

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/synfig_icon.png
%{_datadir}/icons/hicolor/scalable/apps/synfig_icon.svg
%{_datadir}/applications/synfigstudio.desktop
%{_datadir}/mime-info
%{_datadir}/mime/application/x-sif.xml
%{_datadir}/mime/packages/synfigstudio.xml
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/synfigstudio.mo
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/synfigstudio.mo
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/synfigstudio.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/synfigstudio.mo
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/synfigstudio.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/synfigstudio.mo
%lang(fa_IR) %{_datadir}/locale/fa_IR/LC_MESSAGES/synfigstudio.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/synfigstudio.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/synfigstudio.mo
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/synfigstudio.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/synfigstudio.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/synfigstudio.mo
%lang(sk_SK) %{_datadir}/locale/sk_SK/LC_MESSAGES/synfigstudio.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/synfigstudio.mo

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsynfigapp.so.%{major}*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/synfigapp-0.0
%{_libdir}/libsynfigapp.so
%{_libdir}/libsynfigapp.*a

%changelog
* Sun Apr 15 2012 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.05-0
- update to 0.63.05
* Mon Oct 23 2011 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.02-1.pm.1
- update to 0.63.02
* Sat Jun 11 2011 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.00-0.pm.1
- update to 0.63.00 (git logout, because there's no source tarball)
* Mon Nov 15 2010 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.02-1.pm.1
- update to 0.62.02
* Wed Jul 14 2010 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.01-1.pm.1
- update to 0.62.01
* Wed Nov 04 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.00-0.pm.1
- update to 0.62.00
* Sat Sep 05 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.61.09-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sat Jan 03 2009 - Manfred.Tremmel@iiv.de
- remove NX in 11.1, it's no longer available
* Sat Oct 25 2008 - Manfred.Tremmel@iiv.de
- update to 0.61.09
* Tue Mar 04 2008 - Manfred.Tremmel@iiv.de
- update to 0.61.08
* Sat Feb 23 2008 - Manfred.Tremmel@iiv.de
- update to svn (Revision 1808), because off security reasons
* Fri Oct 12 2007 - Manfred.Tremmel@iiv.de
- update to 0.61.07
* Sat Jun 23 2007 - Manfred.Tremmel@iiv.de
- update to 0.61.06
* Sun Dec 24 2006 - Manfred.Tremmel@iiv.de
- update to svn (Revision 229), seems, a lot of bugs where fixed inbetween
* Thu Dec 21 2006 - Manfred.Tremmel@iiv.de
- added --enable-optimization=1 to make it compile on SUSE 10.2
* Sat May 06 2006 - Manfred.Tremmel@iiv.de
- use -fno-inline with SUSE 10.1, because of a compiler bug in gcc 4.1
* Wed Mar 01 2006 - Manfred.Tremmel@iiv.de
- update to 0.61.05
* Mon Jan 23 2006 - Manfred.Tremmel@iiv.de
- recompile with new libffmpeg version
* Sun Jan 15 2006 - Manfred.Tremmel@iiv.de
- update to 0.61.04
* Thu Dec 15 2005 - Manfred.Tremmel@iiv.de
- first packman build, based on the spec-file
  from Robert B. Quattlebaum Jr. <darco@bigfoot.com>
